[med-svn] [Git][med-team/gff2ps][master] 8 commits: Upstream does not provide a tarball but rather the gziped source file thus a…

Andreas Tille gitlab at salsa.debian.org
Thu Apr 26 15:10:55 BST 2018


Andreas Tille pushed to branch master at Debian Med / gff2ps


Commits:
4bbb79fd by Andreas Tille at 2018-04-26T16:01:32+02:00
Upstream does not provide a tarball but rather the gziped source file thus a get-orig-source script is provided to create the needed tarball automatically

- - - - -
d4f8ec21 by Andreas Tille at 2018-04-26T16:01:55+02:00
New upstream version 0.98l
- - - - -
a5fc4a2c by Andreas Tille at 2018-04-26T16:01:56+02:00
Update upstream source from tag 'upstream/0.98l'

Update to upstream version '0.98l'
with Debian dir 0271d70e361d5e704fb8a5eb2af82ba70f370b3f
- - - - -
643cf3ac by Andreas Tille at 2018-04-26T16:02:50+02:00
New upstream version

- - - - -
d27daafa by Andreas Tille at 2018-04-26T16:03:21+02:00
Standards-Version: 4.1.4

- - - - -
944a3890 by Andreas Tille at 2018-04-26T16:03:25+02:00
Point Vcs-fields to Salsa

- - - - -
9f3a3fff by Andreas Tille at 2018-04-26T16:03:41+02:00
debhelper 11

- - - - -
29312b4a by Andreas Tille at 2018-04-26T16:10:39+02:00
Upload to unstable

- - - - -


8 changed files:

- debian/changelog
- debian/compat
- debian/control
- + debian/get-orig-source
- debian/rules
- debian/watch
- − gff2ps_v0.98d
- + gff2ps_v0.98l


Changes:

=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+gff2ps (0.98l-1) unstable; urgency=medium
+
+  * Upstream does not provide a tarball but rather the gziped source file
+    thus a get-orig-source script is provided to create the needed
+    tarball automatically
+  * Standards-Version: 4.1.4
+  * Point Vcs-fields to Salsa
+  * debhelper 11
+
+ -- Andreas Tille <tille at debian.org>  Thu, 26 Apr 2018 16:04:02 +0200
+
 gff2ps (0.98d-6) unstable; urgency=medium
 
   * Moved packaging from SVN to Git


=====================================
debian/compat
=====================================
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-10
+11


=====================================
debian/control
=====================================
--- a/debian/control
+++ b/debian/control
@@ -4,10 +4,10 @@ Uploaders: Nelson A. de Oliveira <naoliv at debian.org>,
            Andreas Tille <tille at debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/gff2ps.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/gff2ps.git
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/gff2ps
+Vcs-Git: https://salsa.debian.org/med-team/gff2ps.git
 Homepage: http://genome.imim.es/software/gfftools/GFF2PS.html
 
 Package: gff2ps


=====================================
debian/get-orig-source
=====================================
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,42 @@
+#!/bin/sh -e
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+set -x
+echo args = $@
+if ! echo $@ | grep -q upstream-version ; then
+    # VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    VERSION=`uscan --force-download 2>/dev/null | grep ftp://genome.imim.es/pub/gff_tools/gff2ps/gff2ps_v0.98l.gz | sed 's#^.*ftp://genome.imim.es/pub/gff_tools/gff2ps/gff2ps_v\(.*\)\.gz#\1#' || true`
+    echo "Version = $VERSION"
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*BRIG.*-dist.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+set -e
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs/$TARDIR
+cd ../tarballs
+mv ../${NAME}_v${VERSION}.gz $TARDIR
+cd $TARDIR
+gunzip ${NAME}_v${VERSION}.gz
+cd ..
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}


=====================================
debian/rules
=====================================
--- a/debian/rules
+++ b/debian/rules
@@ -5,4 +5,8 @@
 
 override_dh_install:
 	dh_install
-	install -m 755 gff2ps_v0.98d debian/gff2ps/usr/share/gff2ps/gff2ps.real
+	install -m 755 gff2ps_v0.98* debian/gff2ps/usr/share/gff2ps/gff2ps.real
+
+# Upstream does not provide a tarball but rather the gziped source file
+get-orig-source:
+	. debian/get-orig-source


=====================================
debian/watch
=====================================
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,3 @@
-version=3
+version=4
 
-ftp://genome.imim.es/pub/gff_tools/gff2ps/gff2ps_v(.*).gz debian uupdate
+ftp://genome.imim.es/pub/gff_tools/gff2ps/gff2ps_v(.*).gz debian debian/get-orig-source


=====================================
gff2ps_v0.98d deleted
=====================================
The diff for this file was not included because it is too large.

=====================================
gff2ps_v0.98l
=====================================
The diff for this file was not included because it is too large.


View it on GitLab: https://salsa.debian.org/med-team/gff2ps/compare/bb9a13f79b8579d686ec5c0839153382821a078f...29312b4abd9baf767f8e8daadaa7b0c25fcf666d

---
View it on GitLab: https://salsa.debian.org/med-team/gff2ps/compare/bb9a13f79b8579d686ec5c0839153382821a078f...29312b4abd9baf767f8e8daadaa7b0c25fcf666d
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20180426/7659d191/attachment-0001.html>


More information about the debian-med-commit mailing list